package com.oauth.message.handle.enums;

public enum SendMsgLinkEnum {

    web("1", "web"),
    app("2", "app"),
    test("3", "test");
    private String code;

    private String client;

    public static String getCode(String code) {
        for (SendMsgLinkEnum t : SendMsgLinkEnum.values()) {
            if (t.getCode() .equals(code) ) {
                return t.code;
            }
        }
        return "0";
    }
    public static String getClient(String client) {
        for (SendMsgLinkEnum t : SendMsgLinkEnum.values()) {
            if (t.getClient().equals(client)) {
                return t.client;
            }
        }
        return "";
    }
    SendMsgLinkEnum(String code, String client) {
        this.code = code;
        this.client = client;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getClient() {
        return client;
    }

    public void setClient(String client) {
        this.client = client;
    }
}
